Page MenuHomePhabricator

Dockerize MediaWiki installations: a rookie's working solution in search for best practices
Closed, ResolvedPublic

Description

From @Lex:

I have a vagrantized set of Ansible playbooks that build, create, start and link Docker containers for a parallel setup of MW1.27 on PHP5.6 and MW1.31 on PHP7.2 on a single Ubuntu 18.04 serving both MWs on 2 different ports, minimizing OS interaction to apt-get update/upgrade, install Docker, docker and file hosting.
I'd like to 1) explain how I did it and 2) identify best practices in Dockerization design from more experienced Docker users.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 19 2018, 2:10 PM

I'd be interested in attending that session or at least talking about your experiences. @Addshore also has done something similar and I've tried to use his repo for my own MW dev environment.

There is an "official" MediaWiki base container that can be used and/or extended from. :)
https://hub.docker.com/_/mediawiki/

Thank you for hosting your session at WMHack! If you have any notes or slides please add them to the task and then make sure to close the task when there are no more actions. :)

Lex closed this task as Resolved.May 23 2018, 6:58 AM

Thanks Rachel for all your great work!

CU at the next gathering.

Thanks for the links @dbarratt and @gabriel-wmde . @Lex were there any notes/slides/blog post from your presentation? (Wish I were there in Barcelona!)

I compiled a list of some of the resources and projects I know about: https://wiki.freephile.org/wiki/Automated_deployment_of_MediaWiki

Lex added a comment.May 30 2018, 7:37 PM

@freephile : regarding notes: I'm converting the learnings from that session into a neatly multi purpose dockerization and publish it at https://smw-cindykate.com/main/Community:Component0391924916.

And thanks for your great overview - very helpful!

Vvjjkkii renamed this task from Dockerize MediaWiki installations: a rookie's working solution in search for best practices to socaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lex as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from socaaaaaaa to Dockerize MediaWiki installations: a rookie's working solution in search for best practices.Jul 1 2018, 6:24 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lex.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.